Bullet Collision Detection & Physics Library: btQuickprof.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions | Variables
btQuickprof.h File Reference
`#include "btScalar.h"`
Include dependency graph for btQuickprof.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btClock
| The btClock is a portable basic clock that measures accurate time in seconds, use for profiling. More...
class | CProfileSample
| ProfileSampleClass is a simple way to profile a function's scope Use the BT_PROFILE macro at the start of scope to time. More...

## Macros
#define | USE_BT_CLOCK 1
#define | BT_NO_PROFILE 1
#define | BT_PROFILE(name)

## Typedefs
typedef void | btEnterProfileZoneFunc(const char *msg)
typedef void | btLeaveProfileZoneFunc()

## Functions
btEnterProfileZoneFunc * | btGetCurrentEnterProfileZoneFunc ()
btLeaveProfileZoneFunc * | btGetCurrentLeaveProfileZoneFunc ()
void | btSetCustomEnterProfileZoneFunc (btEnterProfileZoneFunc *enterFunc)
void | btSetCustomLeaveProfileZoneFunc (btLeaveProfileZoneFunc *leaveFunc)
unsigned int | btQuickprofGetCurrentThreadIndex2 ()

## Variables
const unsigned int | BT_QUICKPROF_MAX_THREAD_COUNT = 64

## Macro Definition Documentation

## ◆ BT_NO_PROFILE

#define BT_NO_PROFILE 1

Definition at line 65 of file btQuickprof.h.

## ◆ BT_PROFILE

#define BT_PROFILE | ( |  | name | ) |

Value:
CProfileSample __profile(name)
CProfileSample
ProfileSampleClass is a simple way to profile a function's scope Use the BT_PROFILE macro at the star...
Definition btQuickprof.h:191

Definition at line 198 of file btQuickprof.h.

## ◆ USE_BT_CLOCK

#define USE_BT_CLOCK 1

Definition at line 17 of file btQuickprof.h.

## Typedef Documentation

## ◆ btEnterProfileZoneFunc

typedef void btEnterProfileZoneFunc(const char *msg)

Definition at line 55 of file btQuickprof.h.

## ◆ btLeaveProfileZoneFunc

typedef void btLeaveProfileZoneFunc()

Definition at line 56 of file btQuickprof.h.

## Function Documentation

## ◆ btGetCurrentEnterProfileZoneFunc()

btEnterProfileZoneFunc * btGetCurrentEnterProfileZoneFunc | ( |  | ) |

Definition at line 779 of file btQuickprof.cpp.

## ◆ btGetCurrentLeaveProfileZoneFunc()

btLeaveProfileZoneFunc * btGetCurrentLeaveProfileZoneFunc | ( |  | ) |

Definition at line 783 of file btQuickprof.cpp.

## ◆ btQuickprofGetCurrentThreadIndex2()

unsigned int btQuickprofGetCurrentThreadIndex2 | ( |  | ) |

Definition at line 741 of file btQuickprof.cpp.

## ◆ btSetCustomEnterProfileZoneFunc()

void btSetCustomEnterProfileZoneFunc | ( | btEnterProfileZoneFunc * | enterFunc | ) |

Definition at line 788 of file btQuickprof.cpp.

## ◆ btSetCustomLeaveProfileZoneFunc()

void btSetCustomLeaveProfileZoneFunc | ( | btLeaveProfileZoneFunc * | leaveFunc | ) |

Definition at line 792 of file btQuickprof.cpp.

## Variable Documentation

## ◆ BT_QUICKPROF_MAX_THREAD_COUNT

const unsigned int BT_QUICKPROF_MAX_THREAD_COUNT = 64

Definition at line 68 of file btQuickprof.h.